/* Diese Klasse soll zwei Arrays a und b in das Array c kopieren
 * Dabei soll die Kopie sich so verhalten, dass eine nderung in
 * c nicht a bzw. b beeinflusst.
 * Die Kopie von a erfllt dies nicht, die von b schon.
 * Autor: Ren Thiemann
 * Erstellt: 17.11.2003
 * Letzte nderung: 19.11.2003
 */
public class Referenz {
    
    public static void main(String[] args) {
	
	int[] a = {1,2,3,4,5};
	int[] b = {6,7,8,9,0};
	int[] c;
	
	IO.printIntArray(a);
	IO.printIntArray(b);
	System.out.println();

	// nur Referenz wird kopiert
	// keine Kopie der Inhalte!

	c = a;
	
	IO.printIntArray(a);
	IO.printIntArray(c);
	System.out.println();
	
	// Aenderung auch in a!
	c[2] = 13;

	IO.printIntArray(a);
	IO.printIntArray(c);
	System.out.println();
	
	// Jetzt werden alle Werte kopiert
	c = new int[b.length];
	for (int i=0; i < b.length; i++) {
	    c[i] = b[i];
	}

	IO.printIntArray(b);
	IO.printIntArray(c);
	System.out.println();
	
	// Aenderung an c beeinflusst nicht mehr b
	c[2] = 13;

	IO.printIntArray(b);
	IO.printIntArray(c);
	System.out.println();
	
    }
 
}
