/*
 * Diese Programm ver- und entschluesselt einen Text
 * nach dem Caesar-Chiffre.
 * 
 * @author Thomas Weiler
 * Umgebung: JDK 1.4.2, Windows XP
 * Erstellt: 27.10.2003
 */
public class Caesar {	
	public static void main(String[] args) {
		int auswahl = 0;
		int faktor;
		while (auswahl != 3) {
			faktor = 1;			
			do {
				System.out.println("*** Auswahl ***");
				System.out.println("1 - Text verschluesseln");
				System.out.println("2 - Text entschluesseln");
				System.out.println("3 - ENDE");
				System.out.println();
				System.out.print("Ihre Auswahl: ");
				auswahl = IO.readInt();
				switch (auswahl) {
					case 1:
						break;
					case 2:
						faktor = -1;
						break;
					case 3:
						break;
					default:
						System.out.println("Ungueltige Eingabe. Bitte wiederholen Sie die Eingabe.");
				}
			} while (!(auswahl >= 1 && auswahl <= 3));
			if (auswahl != 3) {							  			
				int schluessel = 0;
				do {
					System.out.print("Bitte geben Sie den Schluessel ein: ");
					schluessel = IO.readInt();
					if (!(schluessel >0 && schluessel < 26)) {
						System.out.println("Der Schluessel muss >0 und < 26 sein. Bitte wiederholen Sie Ihre Eingabe.");
						System.out.println();
					}
				} while (!(schluessel > 0 && schluessel < 26));
				schluessel = faktor * schluessel;							
				if (faktor == 1){
					System.out.print("Bitte geben Sie den zu verschluesselnden Text ein: ");
				} else {					
					System.out.print("Bitte geben Sie den zu entschluesselnden Text ein: ");
				}
				String text = IO.readLine();
		  	
				String ergebnis = "";		
				for (int position = 0; position < text.length(); position++) {
					char aktZeichen = text.charAt(position);
					char ergZeichen;
					char basisZeichen = 'a';
					if (aktZeichen < 'a') {
						basisZeichen = 'A'; 
					}
					if (aktZeichen == ' ') {
						ergZeichen = ' ';
					} else {									
						ergZeichen = (char)(basisZeichen+(MathExt.modulo(aktZeichen - basisZeichen + schluessel,26)));
					}
					ergebnis = ergebnis + ergZeichen;
				}
				
				if (faktor == 1) {
					System.out.println("Verschluesselter Text: "+ergebnis);
				} else {					
					System.out.println("Entschluesselter Text: "+ergebnis);
				}
				System.out.println();		 
			}
		}
	}		
}
